#!/bin/sh
#
# ircproxy run check script
#
# Script to check whether ircproxy is running,
# if it isn't running then start it.
#
# $Id: ircproxy.sh 62 2009-03-21 21:53:57Z jonasio $
#

IRCPROXYBINFILE=/usr/bin/ircproxyd
IRCPROXYPIDFILE=/var/run/ircproxyd.pid

if test -r $IRCPROXYPIDFILE ; then
  IRCPROXYPID=`cat $IRCPROXYPIDFILE`
  kill -USR1 $IRCPROXYPID >/dev/null 2>&1
  if [ $? -eq 0 ] ; then
     exit 0
   fi
   rm -f $IRCPROXYPIDFILE
fi
if test -x $IRCPROXYBINFILE ; then
  $IRCPROXYBINFILE
  exit 0
fi

