/*
 * ----------------------------------------------------------------
 * ircproxy - Main Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2009 Jonas Kvinge
 *
 * This file is part of ircproxy.
 *
 * ircproxy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ircproxy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ircproxy.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify ircproxy, or any covered work, by linking or
 * combining it with openssl (or a modified version of that library),
 * containing parts covered by the terms of the OpenSSL License and the
 * SSLeay License, the licensors of ircproxy grant you additional
 * permission to convey the resulting work.
 *
 * $Id: main.h 54 2009-03-18 18:23:29Z jonasio $
 *
 */

#ifdef MAIN_H
#warning "main.h already included."
#else
#define MAIN_H

/* FUNCTION PROTOTYPES - JONAS (23.08.2001) */

int main(int argc, char **argv);
void main_read(void);
void main_write(void);
void main_rehash(void);
void main_loop(void);
#ifdef MAIN_C
  static void main_io(fd_set *ReadFDS, fd_set *WriteFDS, unsigned long int *FDS);
  static void main_parse(void);
#endif
void main_exit(const char *const MessagePT, ...) __attribute__ ((format (printf, 1, 2)));

#endif
