/*
 * ----------------------------------------------------------------
 * libmemcalls - Memory Allocation Library Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2009 Jonas Kvinge
 *
 * This file is part of libmemcalls.
 *
 * libmemcalls is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * libmemcalls is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $Id: memlist_private.h 31 2007-12-31 16:08:02Z jonasio $
 *
 */

#ifdef MEMLIST_PRIVATE_H
#warning "memlist_private.h already included."
#else
#define MEMLIST_PRIVATE_H

#define MEMPTRZSTRLEN		10
#define MEMBYTESTRLEN		4
#define MEMFILESTRLEN		16
#define MEMLINESTRLEN		4
#define MEMTIMESTRLEN		10

#endif
